Advanced Server Access
/- Add a Group to a Project
List all Projects
Create a Project
Retrieve a Project
Updates the details of a Project
Delete a Project
List all Client Configuration Options
Add a Client Configuration Option
Delete a Client Configuration Option
List all Cloud Accounts
Add a Cloud Account
Retrieve a Cloud Account
Update a Cloud Account
Remove a Cloud Account
Retrieve a Cloud Account
List all Groups in a Project
Retrieve a Group in a Project
Update a Group in a Project
Remove a Group from a Project
List all Preauthorizations
Create a Preauthorization
Retrieve a Preauthorization
Update a Preauthorization
List all Server Enrollment Tokens
Create a Server Enrollment Token
Retrieve a Server Enrollment Token
Delete a Server Enrollment Token
List all Server Users for a Project
Retrieve a Server User for a Project
List all Servers in a Project
Add an Unmanaged Server to a Project
Retrieve a Server from a Project
Update a Server for a Project
Remove a Server from a Project
Add a Group to a Project
Admin roles:
- access_admin
Adds a Group to a Project
Security
bearerAuth
If true, a local (unix or windows) group is created on the Server and all relevant users are added to the local group. This does not impact user creation. Server Users are always created as long as create_server_users is set to true for the Project.
If true, members of this Group have access to the Servers in the Project
If true, members of this Group have sudo or Administrator permissions on the Project Servers
If create_server_group is true, indicates the name of the associated Server Group
(Optional) Kubernetes-style selector for Servers in the Project. Members of this Group can only access Servers that are assigned this selector.
- Production serverhttps://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/groups
curl -i -X POST \
'https://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/groups' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"create_server_group": true,
"deleted_at": null,
"group": "compsons",
"group_id": "",
"id": "",
"name": "compsons",
"removed_at": null,
"server_access": true,
"server_admin": false,
"server_group_name": null,
"unix_gid": null
}'